summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2016-07-03 08:47:21 +0200
committerMichał Górny <mgorny@gentoo.org>2016-07-03 09:17:44 +0200
commitdca110f7654ebcec94bbdf6f7a9868d0ef788ab9 (patch)
treea6b30e30447df751c5c70f22ce6bb73ea0d801da
parentsys-devel/llvm: fix git-format-clang shebang, #562688 (diff)
downloadgentoo-dca110f7654ebcec94bbdf6f7a9868d0ef788ab9.tar.gz
gentoo-dca110f7654ebcec94bbdf6f7a9868d0ef788ab9.tar.bz2
gentoo-dca110f7654ebcec94bbdf6f7a9868d0ef788ab9.zip
sys-devel/llvm: Sync and clean up WX section code
-rw-r--r--sys-devel/llvm/llvm-3.7.1-r3.ebuild4
-rw-r--r--sys-devel/llvm/llvm-3.8.0-r3.ebuild4
-rw-r--r--sys-devel/llvm/llvm-9999.ebuild6
3 files changed, 7 insertions, 7 deletions
diff --git a/sys-devel/llvm/llvm-3.7.1-r3.ebuild b/sys-devel/llvm/llvm-3.7.1-r3.ebuild
index a76fae770b7..d134a06e519 100644
--- a/sys-devel/llvm/llvm-3.7.1-r3.ebuild
+++ b/sys-devel/llvm/llvm-3.7.1-r3.ebuild
@@ -216,8 +216,8 @@ src_prepare() {
# Fix WX sections, bug #421527
find lib/builtins -type f -name '*.S' -exec sed \
- -e '$a\\n#if defined(__linux__) && defined(__ELF__)\n.section .note.GNU-stack,"",%progbits\n#endif' \
- -i {} + || die
+ -e '$a\\n#if defined(__linux__) && defined(__ELF__)\n.section .note.GNU-stack,"",%progbits\n#endif' \
+ -i {} + || die
popd >/dev/null || die
fi
diff --git a/sys-devel/llvm/llvm-3.8.0-r3.ebuild b/sys-devel/llvm/llvm-3.8.0-r3.ebuild
index bc84e8fc563..0b38f2e58fa 100644
--- a/sys-devel/llvm/llvm-3.8.0-r3.ebuild
+++ b/sys-devel/llvm/llvm-3.8.0-r3.ebuild
@@ -214,8 +214,8 @@ src_prepare() {
# Fix WX sections, bug #421527
find lib/builtins -type f -name '*.S' -exec sed \
- -e '$a\\n#if defined(__linux__) && defined(__ELF__)\n.section .note.GNU-stack,"",%progbits\n#endif' \
- -i {} + || die
+ -e '$a\\n#if defined(__linux__) && defined(__ELF__)\n.section .note.GNU-stack,"",%progbits\n#endif' \
+ -i {} + || die
popd >/dev/null || die
fi
diff --git a/sys-devel/llvm/llvm-9999.ebuild b/sys-devel/llvm/llvm-9999.ebuild
index 148ed8a4286..745d373ecc3 100644
--- a/sys-devel/llvm/llvm-9999.ebuild
+++ b/sys-devel/llvm/llvm-9999.ebuild
@@ -192,9 +192,9 @@ src_prepare() {
eapply "${FILESDIR}"/cmake/clang-0002-cmake-Make-CLANG_LIBDIR_SUFFIX-overridable.patch
# Fix WX sections, bug #421527
- find "${S}"/projects/compiler-rt/lib/builtins -type f -name \*.S -exec sed \
- -e '$a\\n#if defined(__linux__) && defined(__ELF__)\n.section .note.GNU-stack,"",%progbits\n#endif' \
- -i {} \; || die
+ find projects/compiler-rt/lib/builtins -type f -name '*.S' -exec sed \
+ -e '$a\\n#if defined(__linux__) && defined(__ELF__)\n.section .note.GNU-stack,"",%progbits\n#endif' \
+ -i {} + || die
fi
if use lldb; then